Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002222KdenliveRenderingpublic2011-07-07 23:412014-08-01 17:26
Reporterptf 
Assigned Toj-b-m 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSFedora LinuxOS Version14
Product VersionRecent git 
Target VersionFixed in Version0.9.8 
Summary0002222: Current version completely unusable
DescriptionSince upgrading to 0.8 (cut=rrent git version) Kdenlive has basically become unusable for me.

Editing AVHCD (from my Canon HF-S200) or H.264 Quicktime (form my 550d/t2i) was possible with relatively little problem with 0.7.8. However I've just "upgraded" to the current git version and essentially Kdenlive has become unusable.

Usually projects are school plays, I generally deinterlace the HF-S200 output as the 550d output is progressive and use the lossless-fast profile in ffmpeg for encoding. Previously (0.7.8) this has worked well but now I find that playback in clip monitor is hesitant and just adding one clip to the project and attempting playback in the project monitor seems to show the initial frame only, plays the audio for a few seconds then stops altogether.

Needless to say this means that 0.8 is unusable for me.
Steps To Reproducefire up kdenlive, add an AVCHD clip, try to do anything with it.
Additional InformationYes, I know that I could try proxy files - not all that clear that's the solution as 0.7.8 seems to cope well enough (albeit performance is not stellar it does work). I have what should be a fast enough platform (i7 920 clocked at 4GHz, 12GB RAM, 3TB RAID5 disk array).

MLT is the current git version, ffmpeg is 0.7 "old abi" built locally from the rpmfusion src RPMs

"Rendering" is the wrong category but you don't have a "general" category
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007172)
ttill (developer)
2011-08-10 15:53

Maybe you fetched mlt or kdenlive at a bad moment.
Does it work with both latest kdenlive from svn and latest mlt from git?
(0007185)
ptf (reporter)
2011-08-10 19:26

>Maybe you fetched mlt or kdenlive at a bad moment.
>Does it work with both latest kdenlive from svn and latest mlt from git?

I tried several different combinations of MLT and Kdenlive including "official" releases and copies from git - the MLT version doesn't seem to affect the issue having tried 0.7.0, 0.7.2 and 0.7.4, similarly the underlying version of ffmpeg doesn't seem to change things.

I also tried the 0.8 release as well as later git pulls so it didn't seem to be a "bad day to pull the sources" problem.

I will try the latest MLT & Kdenlive when I get chance.
(0007213)
ptf (reporter)
2011-08-23 21:21

I have just done a fresh "git pull" and compiled today's (23/Aug/2011) versions of both Kdenlive and MLT and can confirm that there are still problems.

Looking at this in slightly more detail I find that _sometimes_ things work and sometimes they don't. I think the current git pull is better than when I originally reported the problem but only a little.

For example taking a file from the 550D (which is a H.264 encoded video in a quicktime wrapper) I can add it to the time-line and play the clip OK in the project monitor. This isn't any different from 0.7.8.

However if I click on the position ruler to skip the playback point forward or backward a few seconds then playback stops being smooth. Audio seems to continue now (so that is better than previous versions) but the video only displays one frame every few seconds (?? the I frames- the rate seems about right).

If one clip follows on from another in the timeline (note no transition, just "spliced" together) playback can be smooth up to the end of one clip, then continues as described above for the second.

So long as I only move the playback point when the video is not playing and don't start to play the project too quickly after changing the playback point it is generally OK.

In 0.7.8 I could move around the timeline without problems - although overall performance isn't as good with the older version (i.e. when 0.8.x works it is better than 0.7.8)

The clip monitor is similarly affected, if I try to alter the playback point while the clip is playing.

Using the MLT command line to display the video I can skip forward or backward without problems.
(0007235)
ptf (reporter)
2011-08-29 00:38

Had time to look at this a little more - the problem is using >1 MLT processing thread.

Probably, therefore, an MLT issue.
(0010150)
vpinon (administrator)
2014-08-01 17:26

(old pbm but standed for a while)
JBM disabled the bad MLT multi-thread option in april, included in 0.9.8: wrong config should not occur anymore...

- Issue History
Date Modified Username Field Change
2011-07-07 23:41 ptf New Issue
2011-08-10 15:53 ttill Note Added: 0007172
2011-08-10 15:53 ttill Status new => feedback
2011-08-10 19:26 ptf Note Added: 0007185
2011-08-10 19:26 ptf Status feedback => new
2011-08-23 21:21 ptf Note Added: 0007213
2011-08-29 00:38 ptf Note Added: 0007235
2014-08-01 17:26 vpinon Note Added: 0010150
2014-08-01 17:26 vpinon Status new => resolved
2014-08-01 17:26 vpinon Fixed in Version => 0.9.8
2014-08-01 17:26 vpinon Resolution open => fixed
2014-08-01 17:26 vpinon Assigned To => j-b-m


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker